Skip to main content
POST
Create Text Extraction

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

file_id
string<uuid>
required

Query Parameters

context_id
string<uuid> | null

Body

application/json

Request schema for text extraction.

settings
TextExtractionSettings · object | null

Additional options for text extraction

Response

Successful Response

id
string<uuid>
required
file_id
string<uuid>
required
extracted_files
ExtractedFileInfo · object[]
status
enum<string>
default:pending
Available options:
pending,
in_progress,
completed,
failed,
cancelled
job_id
string | null
error_message
string | null
extraction_metadata
ExtractionMetadata · object | null
started_at
string<date-time> | null
finished_at
string<date-time> | null
created_at
string<date-time>